> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# Upload Chunk

PUT https://attachments/upload/%7Bupload_id%7D/chunk
Content-Type: application/json

**Upload Chunk**

**Headers:**
- `X-Chunk-Number`: Chunk number (1-based index)
  - Required
  - Integer
  - Min: 1

**Body:**
- Raw binary data of the chunk

**Notes:**
- Send each chunk sequentially with the correct chunk number
- Upload must be completed within expiry time (default 24 hours)

Reference: https://docs.itspropel.com/propel-biz/11-work-order/13-work-order-media/04-chunked-upload/upload-chunk

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /attachments/upload/%7Bupload_id%7D/chunk:
    put:
      operationId: upload-chunk
      summary: Upload Chunk
      description: |-
        **Upload Chunk**

        **Headers:**
        - `X-Chunk-Number`: Chunk number (1-based index)
          - Required
          - Integer
          - Min: 1

        **Body:**
        - Raw binary data of the chunk

        **Notes:**
        - Send each chunk sequentially with the correct chunk number
        - Upload must be completed within expiry time (default 24 hours)
      tags:
        - >-
          subpackage_11WorkOrder.subpackage_11WorkOrder/13WorkOrderMedia.subpackage_11WorkOrder/13WorkOrderMedia/04ChunkedUpload
      parameters:
        - name: '{{tenant_key_name}}'
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/11 Work Order_13 Work Order Media_04
                  Chunked Upload_Upload Chunk_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties: {}
servers:
  - url: https:/
components:
  schemas:
    11 Work Order_13 Work Order Media_04 Chunked Upload_Upload Chunk_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: >-
        11 Work Order_13 Work Order Media_04 Chunked Upload_Upload
        Chunk_Response_200

```

## SDK Code Examples

```python
import requests

url = "https://https/attachments/upload/%7Bupload_id%7D/chunk"

payload = {}
headers = {
    "{{tenant_key_name}}": "{{tenant_key_value1}}|{{tenant_key_value2}}",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://https/attachments/upload/%7Bupload_id%7D/chunk';
const options = {
  method: 'PUT',
  headers: {
    '{{tenant_key_name}}': '{{tenant_key_value1}}|{{tenant_key_value2}}',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/attachments/upload/%7Bupload_id%7D/chunk"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("{{tenant_key_name}}", "{{tenant_key_value1}}|{{tenant_key_value2}}")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/attachments/upload/%7Bupload_id%7D/chunk")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["{{tenant_key_name}}"] = '{{tenant_key_value1}}|{{tenant_key_value2}}'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://https/attachments/upload/%7Bupload_id%7D/chunk")
  .header("{{tenant_key_name}}", "{{tenant_key_value1}}|{{tenant_key_value2}}")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://https/attachments/upload/%7Bupload_id%7D/chunk', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    '{{tenant_key_name}}' => '{{tenant_key_value1}}|{{tenant_key_value2}}',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/attachments/upload/%7Bupload_id%7D/chunk");
var request = new RestRequest(Method.PUT);
request.AddHeader("{{tenant_key_name}}", "{{tenant_key_value1}}|{{tenant_key_value2}}");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "{{tenant_key_name}}": "{{tenant_key_value1}}|{{tenant_key_value2}}",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://https/attachments/upload/%7Bupload_id%7D/chunk")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```